SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL';

DROP SCHEMA IF EXISTS `hochschule` ;
CREATE SCHEMA IF NOT EXISTS `hochschule` DEFAULT CHARACTER SET latin1 ;
USE `hochschule` ;

-- -----------------------------------------------------
-- Table `hochschule`.`kurse`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `hochschule`.`kurse` (
  `kursNr` INT NOT NULL ,
  `bezeichnung` VARCHAR(45) NOT NULL ,
  `creditPoints` INT NOT NULL ,
  PRIMARY KEY (`kursNr`) )
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `hochschule`.`studiengaenge`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `hochschule`.`studiengaenge` (
  `studiengangsNr` INT NOT NULL ,
  `bezeichnung` VARCHAR(45) NOT NULL ,
  PRIMARY KEY (`studiengangsNr`) )
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `hochschule`.`studenten`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `hochschule`.`studenten` (
  `matrikelNr` VARCHAR(10) NOT NULL ,
  `nachname` VARCHAR(45) NOT NULL ,
  `vorname` VARCHAR(45) NOT NULL ,
  `studiengangsNr` INT NOT NULL ,
  PRIMARY KEY (`MatrikelNr`) ,
  INDEX `fk_studenten_studiengang` (`studiengangsNr` ASC) ,
  CONSTRAINT `fk_studenten_studiengang`
    FOREIGN KEY (`studiengangsNr` )
    REFERENCES `hochschule`.`studiengaenge` (`studiengangsNr` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `hochschule`.`belegungen`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `hochschule`.`belegungen` (
  `belegungsNr` INT NOT NULL ,
  `matrikelNr` VARCHAR(10) NOT NULL ,
  `kursNr` INT NOT NULL ,
  INDEX `fk_studenten_has_kurse_kurse1` (`kursNr` ASC) ,
  PRIMARY KEY (`belegungsNr`) ,
  CONSTRAINT `fk_studenten_has_kurse_studenten1`
    FOREIGN KEY (`matrikelNr` )
    REFERENCES `hochschule`.`studenten` (`matrikelNr` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_studenten_has_kurse_kurse1`
    FOREIGN KEY (`kursNr` )
    REFERENCES `hochschule`.`kurse` (`kursNr` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;



SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
