SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL';

CREATE SCHEMA IF NOT EXISTS `werbung` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci ;
USE `werbung` ;

-- -----------------------------------------------------
-- Table `werbung`.`werbeflaechen`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `werbung`.`werbeflaechen` ;

CREATE  TABLE IF NOT EXISTS `werbung`.`werbeflaechen` (
  `werbeflaechennr` INT NOT NULL ,
  `bezeichnung` VARCHAR(45) NULL ,
  `groesseInQuadratmeter` DOUBLE NULL ,
  PRIMARY KEY (`werbeflaechennr`) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `werbung`.`veranstaltungen`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `werbung`.`veranstaltungen` ;

CREATE  TABLE IF NOT EXISTS `werbung`.`veranstaltungen` (
  `veranstaltungsnr` INT NOT NULL ,
  `bezeichnung` VARCHAR(45) NULL ,
  `datum` DATE NULL ,
  PRIMARY KEY (`veranstaltungsnr`) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `werbung`.`werbepartner`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `werbung`.`werbepartner` ;

CREATE  TABLE IF NOT EXISTS `werbung`.`werbepartner` (
  `werbepartnernr` INT NOT NULL ,
  `name` VARCHAR(45) NULL ,
  PRIMARY KEY (`werbepartnernr`) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `werbung`.`Vermietungen`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `werbung`.`vermietungen` ;

CREATE  TABLE IF NOT EXISTS `werbung`.`vermietungen` (
  `vermietungsnr` INT NOT NULL ,
  `mietpreis` DOUBLE NULL ,
  `werbeflaechennr` INT NOT NULL ,
  `werbepartnernr` INT NOT NULL ,
  `veranstaltungsnr` INT NOT NULL ,
  PRIMARY KEY (`vermietungsnr`) ,
  INDEX `fk_vermietungen_werbeflaechen` (`werbeflaechennr` ASC) ,
  INDEX `fk_vermietungen_werbepartner1` (`werbepartnernr` ASC) ,
  INDEX `fk_Vermietungen_veranstaltungen1` (`veranstaltungsnr` ASC) ,
  CONSTRAINT `fk_vermietungen_werbeflaechen`
    FOREIGN KEY (`werbeflaechennr` )
    REFERENCES `werbung`.`werbeflaechen` (`werbeflaechennr` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_vermietungen_werbepartner1`
    FOREIGN KEY (`werbepartnernr` )
    REFERENCES `werbung`.`werbepartner` (`werbepartnernr` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_vermietungen_veranstaltungen1`
    FOREIGN KEY (`veranstaltungsnr` )
    REFERENCES `werbung`.`veranstaltungen` (`veranstaltungsnr` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;



SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
